﻿using System;

namespace PH.Bootloader.RS485.DSP.IntelHex
{
    /// <summary>表示 Intel Hex 檔案解析例外錯誤。</summary>
    public class IntelHexParserException : Exception
    {
        /// <summary>取得例外類型。</summary>
        public IntelHexParserExceptionKind  Kind { get; internal set; }

        /// <summary>初始化 IntelHexParserException 類別的新執行個體。</summary>
        /// <param name="kind"></param>
        internal IntelHexParserException(IntelHexParserExceptionKind kind) : base(kind.ToString())
        {
            Kind = kind;
        }
    }
}
