﻿
namespace PH.Bootloader.RS485.DSP.IntelHex
{
    /// <summary>列舉所有 Intel Hex 檔案解析例外錯誤類型。</summary>
    public enum IntelHexParserExceptionKind
    {
        /// <summary>不合法的資料行。</summary>
        INVALID_LINE,
        /// <summary>遺失起始字元。</summary>
        MISSING_START_CODE,
        /// <summary>不支援的資料紀錄型態。</summary>
        UNSUPPORTED_RECORD_TYPE,
        /// <summary>不合法的校驗值。</summary>
        INVALID_CHECKSUM,
        /// <summary>未知的例外。</summary>
        UNKNOWN,
    }
}
