﻿
namespace PH.Bootloader.RS485.DSP.Procedure
{
    /// <summary>封裝 Meta Block 資訊之類別。</summary>
    public class MetaBlockContent
    {
        /// <summary>設定、取得 Meta Block版本。</summary>
        public string   MetaBlockVersion { get; set; }
        /// <summary>軟體版本。</summary>
        public string   SoftwareVersion { get; set; }
        /// <summary>起始位址。</summary>
        public string   StartAddressText { get; set; }
        /// <summary>起始位址。</summary>
        public long     StartAddress { get; set; }
        /// <summary>終止位址。</summary>
        public string   StopAddressText { get; set; }
    }
}
