﻿
namespace PH.Bootloader.RS485.PIC32
{
    /// <summary>封裝 PIC32 映像檔資訊。</summary>
    class PicInformation
    {
        public byte     CodeID;
        public string   Family;
        public string   Description;
        public int      FlashMem; // in bytes
        public int      EepromFlag; // in bytes		
        public int      MemPosMax; // in bytes
        public int      MemPosMin; // in bytes (= start of the bootloader memory address)
        public int      BlockSize; // in bytes
        public int      BootloaderSize; // in bytes
        public int      DividerHexToMemory; // for translation of address in hex file to address in PIC memory (only PIC16 is != 1, it equals 2)
        public int      TotalByteInFile; // in bytes
    }
}
