﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PH.Bootloader.RS485.PIC32_2.Protocol.Command.AppCode
{
    /// <summary>封裝讀取版本號指令之類別。</summary>
    class ResetCmd : AppCommandFormatter
    {
        /// <summary>初始化 ResetCmd 類別之執行個體。</summary>
        public ResetCmd()
        {
            Address = 0x018A;
            FunctionType = FunctionType.Write;
            Quantity = 0xFF00;  
        }

        /// <summary>解析封包格式內容。</summary>
        /// <param name="recvDataArray">接收資料暫存器。</param>
        /// <param name="recvLength">接收資料長度。</param>
        /// <returns>是否解析成功。</returns>
        public override bool Parse(byte[] recvDataArray, int length)
        {
            return true;
        }
    }
}
