﻿using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace PH.Bootloader.RS485.PIC32_2._0.Tests
{
    [TestClass()]
    public class PIC32Bootloader2Tests
    {
        [TestMethod()]
        public void LoadHexFileTest()
        {
            PIC32Bootloader2 bootloader = new PIC32Bootloader2();

            bool expected = true;
            bool actual1 = bootloader.LoadHexFile(DeviceInformation.C1P1, @"RS485\PIC32_2.0\PSU_APP.hex", Protocol.UpgradeImageType.AppCode);
            bool actual2 = bootloader.LoadHexFile(DeviceInformation.C1P1, @"RS485\PIC32_2.0\SBOX_APP.hex", Protocol.UpgradeImageType.AppCode);

            Assert.AreEqual(expected, actual1);
        }
    }
}