﻿
namespace PH.Bootloader.RS485
{
    /// <summary>列舉所有運作程序型態。</summary>
    public enum ProcedureType
    {
        /// <summary>檢查通訊。</summary>
        CheckCommunication,
        /// <summary>檢查裝置。</summary>
        CheckDevice,
        /// <summary>Hex 檔案內容配置到記憶體位置。</summary>
        HexToMemory,
        /// <summary>載入記憶體前檢查裝置。</summary>
        UploadCheckDevice,
        /// <summary>載入記憶體。</summary>
        Upload,
    }
}
