﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;

namespace PhihongEv.Lib.Model
{
    public sealed partial class Generation : ModelNameCodeModel
    {
        public static Generation Unknown = new Generation("Unknown", "Unknown", addRegister: false);

        public static Generation N0 = new Generation("0", "Generation 0");

        public static Generation N1 = new Generation("1", "Generation 1");

        public static Generation N2 = new Generation("2", "Generation 2");

        public static Generation N3 = new Generation("3", "Generation 3");

        public static Generation N4 = new Generation("4", "Generation 4");

        public static Generation N5 = new Generation("5", "Generation 5");

        public static Generation N6 = new Generation("6", "Generation 6");

        public static Generation N7 = new Generation("7", "Generation 7");

        public static Generation N8 = new Generation("8", "Generation 8");

        public static Generation N9 = new Generation("9", "Generation 9");

        public static Generation A = new Generation("A", "Generation A");

        public static Generation B = new Generation("B", "Generation B");

        public static Generation C = new Generation("C", "Generation C");

        public static Generation D = new Generation("D", "Generation D");

        public static Generation E = new Generation("E", "Generation E");

        public static Generation F = new Generation("F", "Generation F");

        public static Generation G = new Generation("G", "Generation G");

        public static Generation H = new Generation("H", "Generation H");

        public static Generation I = new Generation("I", "Generation I");

        public static Generation J = new Generation("J", "Generation J");

        public static Generation K = new Generation("K", "Generation K");

        public static Generation L = new Generation("L", "Generation L");

        public static Generation M = new Generation("M", "Generation M");

        public static Generation N = new Generation("N", "Generation N");

        public static Generation O = new Generation("O", "Generation O");

        public static Generation P = new Generation("P", "Generation P");

        public static Generation Q = new Generation("Q", "Generation Q");

        public static Generation R = new Generation("R", "Generation R");

        public static Generation S = new Generation("S", "Generation S");

        public static Generation T = new Generation("T", "Generation T");

        public static Generation U = new Generation("U", "Generation U");

        public static Generation V = new Generation("V", "Generation V");

        public static Generation W = new Generation("W", "Generation W");

        public static Generation X = new Generation("X", "Generation X");

        public static Generation Y = new Generation("Y", "Generation Y");

        public static Generation Z = new Generation("Z", "Generation Z");
    }

    public sealed partial class Generation : ModelNameCodeModel
    {
        public static ReadOnlyCollection<Generation> List => new ReadOnlyCollection<Generation>(_List);

        private static List<Generation> _List { get; set; }

        internal Generation(string code, string description, bool addRegister = true) : base(code, description)
        {
            if (_List == null)
            {
                _List = new List<Generation>();
            }

            if (!addRegister)
            {
                return;
            }

            _List.Add(this);
        }
    }
}
